# tag; required; values
#
# works as whitelist
# * tag: any tag number in TIFF
# * required: mandatory | optional | depends( $tag.$value ) | optdepends( $tag.$value ) 
# * values: range($start, $end) | logical_or( $a, …) | only($a) |any

# This defines a sample config for baseline tiffs
# Remember, because it works as whitelist for each required tag we need an
# entry here

mode(baseline)
mode(enable_type_checks)
mode(enable_offset_checks)
mode(enable_ifd_checks)
mode(enable_deep_geotiff_checks)
include(cit_tiff6_baseline_SLUB.cfg)

#GeoTiff Data
# 33550 GeoTIFF ModelPixelScaleTag
33550; mandatory; any
# 33922 ModelTiepointTag 
33922; mandatory; any
# 34264 ModelTransformationTag -> must not exist next to 33550 ModelPixelScaleTag
#34264; mandatory; any
# 34735 Geotiff GeoKeyDirectoryTag
34735; mandatory; any
# 34736 Geotiff GeoDoubleParamsTag
34736; optional; any
# 34737 GeoAsciiParamsTag
34737; optional; printascii
# 34853 GPS IFD
34853; optional; any
# 42112 GDAL Metadata
42112; optional; any
# 42113 GDAL_NODATA -> must not exist since software interprete this as transparency, which is not allowed
#42113; optional; any

#Georeferenced Additional Tags
